<div class="row justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-agenda-heading" data-cy="AgendaCreateUpdateHeading" jhiTranslate="madmApp.agenda.home.createOrEditLabel">
        Create or edit a Agenda
      </h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="form-group" [hidden]="editForm.get('id')!.value == null">
          <label class="form-control-label" jhiTranslate="global.field.id" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.agenda.data" for="field_data">Data</label>
          <div class="input-group">
            <input
              id="field_data"
              data-cy="data"
              type="text"
              class="form-control"
              name="data"
              ngbDatepicker
              #dataDp="ngbDatepicker"
              formControlName="data"
            />
            <span class="input-group-append">
              <button type="button" class="btn btn-secondary" (click)="dataDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
            </span>
          </div>
        </div>

        <div class="form-group">
          <label class="form-control-label" jhiTranslate="madmApp.agenda.descricaoPrevia" for="field_descricaoPrevia"
            >Descricao Previa</label
          >
          <input
            type="text"
            class="form-control"
            name="descricaoPrevia"
            id="field_descricaoPrevia"
            data-cy="descricaoPrevia"
            formControlName="descricaoPrevia"
          />
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
